generic
{
	mySel = Scene().getSelect();
	//globalf = globalrecall("M2L_SCGN_FN",getdir("Content"));
	globalf = getdir("Content") + "\\Maya2LW\\m2l\\";
	
	f = getfile("AutoTag - Select M2L directory","*.m2l",globalf,1);
	if(!f)
		error("User aborted.");
	fp = split(f);
	m2ldir = fp[1] + fp[2];
	
	
	
	for(i=1;i<=mySel.size();i++)
	{
		if(mySel[i].genus == CAMERA)
			mfn = mySel[i].name;
		else
			mfn = mySel[i].filename;
		if(endsWith(mfn,".m2l") == false)
			mfn = mfn + ".m2l";
		
		checkFilename = m2ldir + "\\" + mfn;
		if(fileexists(checkFilename))
		{	
			tagThisObject(mySel[i],checkFilename);
		}
	}
}
tagThisObject: obj, fn
{
	bn = "M2L2FN";
	myPath = parse("\\",fn);
	
	for(i=1;i<=myPath.size();i++)
	{
		(ndx,found) = findValidTagNdx(obj,string("M2L2FN" + i));
		str = string("M2L2FN" + i + "|" + myPath[i]);
		obj.setTag(ndx,str);
	}
}
endsWith: str, checkStr
{
	return(strright(str,checkStr.size()) == checkStr);
}
findValidTagNdx: oa, str //str is the tag name like M2L2FN
{
	i = 0;
	found = false;
	while(true) // find the first empty tag or the tag with Maya2LW2
	{
		i++;
		theTag = oa.getTag(i);
		if(theTag == nil || theTag == "")
		{
			myNdx = i;
			break;
		}
		
		if(theTag.contains(str) == true)
		{
			found = true;
			myNdx = i;
			break;
		}
	}
	return(myNdx,found);
}
